package dao;

import model.Teacher;
import java.util.List;

/**
 * 教师DAO接口
 */
public interface TeacherDAO extends BaseDAO<Teacher> {
    /**
     * 根据工号查询教师
     * @param teacherId 教师工号
     * @return 教师对象
     */
    Teacher findByTeacherId(String teacherId);
}
